/** An instance contains a time of day. */
public class Time {
    private int hr; // Hour of the day, in 0..23
    private int min; //minute of the hour. in 0..59

    /** Constructor: an instance with hour h and minute m.
     * Precondition: h in 0..23, m in 0..59. */
    public Time(int h, int m) {
        hr= h;
        min= m;
    }

    /** Constructor: an instance with minutes of the day m.
     * Precondition: m in 0..24*60-1. */
    public Time(int m) {
        hr= m/  60;
        min= m % 60;
    }

    /** return the hour of the day. */
    public int getHour() {
        return hr;
    }

    /** return the min of the hour. */
    public int getMinute() {
        return min;
    }

    /** Return the time in the form e.g. 03:09. */
    public String toString() {
        return two(hr) + ":" + two(min);

    }

    /** Set the hour to h.
     * Precondition: h in 0..23. */
    public void setHr(int h) {
        hr= h;
    }

    /** Return n as a string of at least 2 digits,
     * with a leading 0 inserted if necessary. */
    private String two(int n) {
        if (n < 0  ||  9 < n) return "" + n;
        return "0" + n;
    }
}
